Subject: bug#6256: 24.0.50; read-event in `repeat' command

From: Lennart Borgman <[email-masked]>
Date: Tue, 25 May 2010 02:06:31 +0200

On Tue, May 25, 2010 at 1:05 AM, Drew Adams <[email-masked]> wrote:
>
> So I guess this bug could be closed.  But I still wonder if the code shouldn't
> be tweaked somehow to read an event but ignore non-user (or at least
> non-keyboard) events.  I don't know how to do that.

After a quick look I guess it does that. However the switch-frame
event is a bit special. The handling of it is delayed in keyboard.c. I
guess what you have seen is the result of that something has gone
wrong because of that (but I am not sure).

Maybe this has been fixed in 23.2?